Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl.standardization
Class StandardizationConfiguration.Tags

    java.lang.Object
      com.sun.mdm.index.configurator.impl.standardization.StandardizationConfiguration.Tags

Enclosing class:
  StandardizationConfiguration

public static final class StandardizationConfiguration.Tags
extends java.lang.Object

Tags that correspond to the XML node names.

Field Summary
`static java.lang.String` | `ENCODING_TYPE` encoding type tag
`static java.lang.String` | `FIELDS_MAPPING` fields mapping tag
`static java.lang.String` | `GROUP` group tag
`static java.lang.String` | `LOCALE` locale name tag
`static java.lang.String` | `LOCALE_CODES` locale codes tag
`static java.lang.String` | `LOCALE_FIELD_NAME` locale field name tag
`static java.lang.String` | `LOCALE_MAPS` locale maps tag
`static java.lang.String` | `LOCALE_VALUES` locale value tag
`static java.lang.String` | `NORMALIZATION_TARGETS` normalization targets tag
`static java.lang.String` | `PHONETICIZE_FIELD` phoneticize field tag
`static java.lang.String` | `PHONETICIZE_FIELDS` phoneticize fields tag
`static java.lang.String` | `PHONETICIZED_OBJECT_FIELD_ID` phoneticized object field id tag
`static java.lang.String` | `PHONETICIZED_TARGET_FIELD_NAME` phoneticized target field name tag
`static java.lang.String` | `PRE_PARSED_FIELD_GROUPS` structures to normalize tag
`static java.lang.String` | `SOURCE_MAPPING` source mapping tag
`static java.lang.String` | `STANDARDIZATION_TARGETS` standardization targets tag
`static java.lang.String` | `STANDARDIZE_SYSTEM_OBJECT` standardize system object tag
`static java.lang.String` | `STANDARDIZED_OBJECT_FIELD_ID` standardized object field id tag
`static java.lang.String` | `STANDARDIZED_TARGET_FIELD_NAME` standardized target field name tag
`static java.lang.String` | `SYSTEM_OBJECT_NAME` system object name tag
`static java.lang.String` | `TARGET_MAPPING` target mapping tag
`static java.lang.String` | `UNNORMALIZED_SOURCE_FIELD_NAME` unnormalized source field name tag
`static java.lang.String` | `UNNORMALIZED_SOURCE_FIELDS` unnormalize source fields tag
`static java.lang.String` | `UNPARSED_FIELD_GROUPS` free form text to standardize tag
`static java.lang.String` | `UNPHONETICIZED_SOURCE_FIELD_NAME` unphoneticized source field name tag
`static java.lang.String` | `UNSTANDARDIZED_SOURCE_FIELD_NAME` unstandardized source field name tag
`static java.lang.String` | `UNSTANDARDIZED_SOURCE_FIELDS` unstandardized source fields tag

Constructor Summary
`StandardizationConfiguration.Tags()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENCODING_TYPE

    public static final java.lang.String ENCODING_TYPE

  encoding type tag

  See Also:
    Constant Field Values

### FIELDS_MAPPING

    public static final java.lang.String FIELDS_MAPPING

  fields mapping tag

  See Also:
    Constant Field Values

### GROUP

    public static final java.lang.String GROUP

  group tag

  See Also:
    Constant Field Values

### LOCALE

    public static final java.lang.String LOCALE

  locale name tag

  See Also:
    Constant Field Values

### LOCALE_CODES

    public static final java.lang.String LOCALE_CODES

  locale codes tag

  See Also:
    Constant Field Values

### LOCALE_FIELD_NAME

    public static final java.lang.String LOCALE_FIELD_NAME

  locale field name tag

  See Also:
    Constant Field Values

### LOCALE_MAPS

    public static final java.lang.String LOCALE_MAPS

  locale maps tag

  See Also:
    Constant Field Values

### LOCALE_VALUES

    public static final java.lang.String LOCALE_VALUES

  locale value tag

  See Also:
    Constant Field Values

### NORMALIZATION_TARGETS

    public static final java.lang.String NORMALIZATION_TARGETS

  normalization targets tag

  See Also:
    Constant Field Values

### PHONETICIZE_FIELD

    public static final java.lang.String PHONETICIZE_FIELD

  phoneticize field tag

  See Also:
    Constant Field Values

### PHONETICIZE_FIELDS

    public static final java.lang.String PHONETICIZE_FIELDS

  phoneticize fields tag

  See Also:
    Constant Field Values

### PHONETICIZED_OBJECT_FIELD_ID

    public static final java.lang.String PHONETICIZED_OBJECT_FIELD_ID

  phoneticized object field id tag

  See Also:
    Constant Field Values

### PHONETICIZED_TARGET_FIELD_NAME

    public static final java.lang.String PHONETICIZED_TARGET_FIELD_NAME

  phoneticized target field name tag

  See Also:
    Constant Field Values

### PRE_PARSED_FIELD_GROUPS

    public static final java.lang.String PRE_PARSED_FIELD_GROUPS

  structures to normalize tag

  See Also:
    Constant Field Values

### SOURCE_MAPPING

    public static final java.lang.String SOURCE_MAPPING

  source mapping tag

  See Also:
    Constant Field Values

### STANDARDIZATION_TARGETS

    public static final java.lang.String STANDARDIZATION_TARGETS

  standardization targets tag

  See Also:
    Constant Field Values

### STANDARDIZE_SYSTEM_OBJECT

    public static final java.lang.String STANDARDIZE_SYSTEM_OBJECT

  standardize system object tag

  See Also:
    Constant Field Values

### STANDARDIZED_OBJECT_FIELD_ID

    public static final java.lang.String STANDARDIZED_OBJECT_FIELD_ID

  standardized object field id tag

  See Also:
    Constant Field Values

### STANDARDIZED_TARGET_FIELD_NAME

    public static final java.lang.String STANDARDIZED_TARGET_FIELD_NAME

  standardized target field name tag

  See Also:
    Constant Field Values

### SYSTEM_OBJECT_NAME

    public static final java.lang.String SYSTEM_OBJECT_NAME

  system object name tag

  See Also:
    Constant Field Values

### TARGET_MAPPING

    public static final java.lang.String TARGET_MAPPING

  target mapping tag

  See Also:
    Constant Field Values

### UNNORMALIZED_SOURCE_FIELD_NAME

    public static final java.lang.String UNNORMALIZED_SOURCE_FIELD_NAME

  unnormalized source field name tag

  See Also:
    Constant Field Values

### UNNORMALIZED_SOURCE_FIELDS

    public static final java.lang.String UNNORMALIZED_SOURCE_FIELDS

  unnormalize source fields tag

  See Also:
    Constant Field Values

### UNPARSED_FIELD_GROUPS

    public static final java.lang.String UNPARSED_FIELD_GROUPS

  free form text to standardize tag

  See Also:
    Constant Field Values

### UNPHONETICIZED_SOURCE_FIELD_NAME

    public static final java.lang.String UNPHONETICIZED_SOURCE_FIELD_NAME

  unphoneticized source field name tag

  See Also:
    Constant Field Values

### UNSTANDARDIZED_SOURCE_FIELD_NAME

    public static final java.lang.String UNSTANDARDIZED_SOURCE_FIELD_NAME

  unstandardized source field name tag

  See Also:
    Constant Field Values

### UNSTANDARDIZED_SOURCE_FIELDS

    public static final java.lang.String UNSTANDARDIZED_SOURCE_FIELDS

  unstandardized source fields tag

  See Also:
    Constant Field Values

Constructor Detail

### StandardizationConfiguration.Tags

    public StandardizationConfiguration.Tags()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.